trim Geom_BSplineSurface with wire

I am trying to trim a Geom_BSplineSurface with a wire in this way:

BRepBuilderAPI_MakeFace faceMaker (bsplinesurface, 0.001) ;

BRepCheck_Analyzer brepCheckWire(wire) ;

      if( brepCheckWire.IsValid() ) {
         faceMaker.Add(wire) ;
      }

TopoDS_Face aFace = faceMaker.Face();

ShapeFix_Face aFaceFix(aFace);
aFaceFix.FixIntersectingWires();
aFaceFix.FixMissingSeam();
// aFaceFix.FixOrientation() ; CRASH
aFaceFix.Perform();
TopoDS_Face nurbsface = aFaceFix.Face();

BUT there is something wrong  .... the file wire_from_path is the wire and From_SNURBS.step the face without the wire for trim.

Thanks..

 

 

 

1533688812_148527's picture

你好,你解决了问题吗?